- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_asm_policy_import – Manage BIG-IP ASM policy imports

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage BIG-IP ASM policies policy imports.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
force boolean | Choices: no ← yes | When set to `yes` any existing policy with the same name will be overwritten by the new import. Works for both inline and file imports, if the policy does not exist this setting is ignored.
inline string |  | When specified the ASM policy is created from a provided string. Content needs to be provided in a valid XML format otherwise the operation will fail.
name string / required |  | The ASM policy to create or override.
partition string | Default: "Common" | Device partition to create policy on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
source path |  | Full path to a policy file to be imported into the BIG-IP ASM. Policy files exported from newer versions of BIG-IP cannot be imported into older versions of BIG-IP. The opposite, however, is true; you can import older into newer. The file format can be binary of XML.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Import ASM policy
      bigip_asm_policy_import:
        name: new_asm_policy
        file: /root/asm_policy.xml
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Import ASM policy inline
      bigip_asm_policy_import:
        name: foo-policy4
        inline: <xml>content</xml>
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Override existing ASM policy
      bigip_asm_policy:
        name: new_asm_policy
        file: /root/asm_policy_new.xml
        force: yes
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
force boolean | changed | Set when overwriting an existing policy Sample: True
inline string | changed | Contents of policy as an inline string Sample: <xml>foobar contents</xml>
name string | changed | Name of the ASM policy to be created/overwritten Sample: Asm_APP1_Transparent
source string | changed | Local path to an ASM policy file. Sample: /root/some_policy.xml

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.